Subject: Re: [PATCH v2 1/2] i2c: Enable compile testing for some of drivers

From: Wolfram Sang <[email-masked]>
Date: Thu, 23 Jan 2020 10:41:07 +0100

On Thu, Jan 23, 2020 at 10:31:20AM +0100, Krzysztof Kozlowski wrote:
> On Thu, Jan 23, 2020 at 10:12:28AM +0100, Wolfram Sang wrote:
> > 
> > >  config I2C_ZX2967
> > >  	tristate "ZTE ZX2967 I2C support"
> > > -	depends on ARCH_ZX
> > > -	default y
> > > +	depends on ARCH_ZX || (COMPILE_TEST && (ARC || ARM || ARM64 || M68K || RISCV || SUPERH || SPARC))
> > > +	# COMPILE_TEST needs architectures with readsX()/writesX() primitives
> > 
> > The list of archs neither looks pretty nor very maintainable. My
> > suggestion is that we leave this out of COMPILE_TEST until we have
> > something like ARCH_HAS_READS or something. What do you think?
> 
> Indeed it does not look good. However having compile testing allows
> kbuild to run sparse and smatch which already started pointing minor
> issues in existing drivers.
> 
> Yeah... pros and cons... I don't have a strong opinion to keep it. Since
> patch is important, maybe let's just skip this part?

Yeah, let's skip it for now. If you or someone is keen on having it,
something like ARCH_HAS_READS (<- needs better name) should be
introduced so we can use it here. But that can/should be handled
incrementally.